Very Basic Question - How to Autoload USBLoaderGX

Discussion in 'Wii - Backup Loaders' started by kellydog, May 27, 2017.

  1. kellydog
    OP

    kellydog Newbie

    Newcomer
    1
    May 15, 2017
    United States
    I have a softmodded Wii that is working very well.
    Hackmii>Letterbomb>Bootmii with Boot2>Priiloader booting to HBC
    Ios 249 D2v8Final,base 57, Slot 249 Rev21008

    I have a 4gb SD card with USB Loader GX on it. I have a few games on a 1TB drive. Everything is FAT32

    Can someone point me toward a tutorial or video to auto launch the USB loader?

    I want to turn the Wii on and have it go straight to USBLoaderGX and not bother selecting the app with the Homebrew channel. I'm ok with keeping a SD card in at all times so a forwarder will work, I'm not trying to install a channel.

    I'm just lost. I read put a dol file on the root of the SD, but it seems like USB loader comes with a forwarding wad file now. I tried installing that and told Priiloader to autoboot to the installed channel instead of Homebrew with no luck.

    Thanks for reading
     
  2. Badablek

    Badablek GBAtemp Regular

    Member
    6
    Jan 23, 2006
    France
    hi,

    you already have the answer :
    1. install the official forwarder (wii version) of usbloader gx
    2. put usbloader gx where it has to be (sd:\apps\usbloader_gx or hdd1:\apps\usbloader_gx if FAT32)
    3. setup priiloader to launch usbloader gx's forwarder at boot
    4. profit !
     
  3. kellydog
    OP

    kellydog Newbie

    Newcomer
    1
    May 15, 2017
    United States
    Making some progress
    I downloaded USBLoader_GX_v3.0_All in one package

    I used YAWMM to load the USB Loader GX-UNEO_Forwarder_5_1_AHBPROT.wad
    Then I used Priiloader to install the ForwarderV5.1.dol
    I set Priiloader to launch the installed file instead of HBC

    Boom! My Wii boots directly to USBLoaderGX

    Problem - The gamecube games don't work :(
    I get an error Ninendont requires AHB access! Please launch USBLoaderGX from HBC or from an updated channel or forwarder

    Any ideas?
     
  4. GreyWolf

    GreyWolf GBAtemp Guru

    Member
    8
    Mar 2, 2015
    United States
    What version of Priiloader are you using? I think the AHB_PROT issue is fixed in 0.8+.
     
  5. kellydog
    OP

    kellydog Newbie

    Newcomer
    1
    May 15, 2017
    United States
    Priiloader is v0.8.1

    It's very odd. When I power the machine on and try a gamecube game I get the error.
    I can make the error go away though-
    I power the machine and let it autostart USBLoaderGx, If I then run USBLoaderGx again, I can launch the gamecube games without any errors. It only gives the error on the first run of the loader.
     
  6. Badablek

    Badablek GBAtemp Regular

    Member
    6
    Jan 23, 2006
    France
    Did you put Nintendont xml file in the same folder as Nintendont dol ?

    and you should not use the AIO package of USBLGX, it is outdated since a long time. Download the latest revision (1262) in sourceforge : https://sourceforge.net/projects/usbloadergx
     
  7. kellydog
    OP

    kellydog Newbie

    Newcomer
    1
    May 15, 2017
    United States
    I'm running Nintendont 4.444 and USBLGX 1262

    I installed a wad - USB Loader GX-UNEO-Forwarder_5_1_AHBPROT.wad that I downloaded from sourceforge Home/Releases/Forwarders

    The most recent forwarder I could find was Home/Releases/forwarders dols ForwarderV5.1.dol -is that correct? It's dated 4/2012

    If I try to run a gamecube game from USBLGX after powering the unit up I get 'Ninendont requires AHB access! Please launch USBLoaderGX from HBC or from an updated channel or forwarder'
    If I launch USBLGX through the HBC after that, It will launch gamecube games without any issues
     
Quick Reply
Draft saved Draft deleted
Loading...